Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class PDeletedState

    java.lang.Object
      org.apache.openjpa.kernel.PCState
          org.apache.openjpa.kernel.PDeletedState

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PDeletedFlushedState

     class PDeletedState

extends PCState

Lifecycle state. Represents a persistent instance that has been deleted in the current transaction.

Author:
  Abe White

Field Summary

Fields inherited from class org.apache.openjpa.kernel.PCState
`ECLEAN, ECOPY, EDELETED, EDIRTY, ENONTRANS, HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNEWPROVISIONAL, PNONTRANS, PNONTRANSDELETED, PNONTRANSDIRTY, PNONTRANSNEW, TCLEAN, TDIRTY, TLOADED, TRANSIENT`

Constructor Summary
`PDeletedState()`

Method Summary
`(package private) PCState` | `beforeOptimisticWrite(StateManagerImpl context, int field, boolean mutate)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an optimistic transaction.
`(package private) PCState` | `beforeWrite(StateManagerImpl context, int field, boolean mutate)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an active transaction.
`(package private) PCState` | `commit(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction commit.
`(package private) PCState` | `commitRetain(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction commit with the retainValues flag set.
`(package private) PCState` | `flush(StateManagerImpl context)` Perform any actions necessary and return the proper lifecycle state on fush.
`(package private) void` | `initialize(StateManagerImpl context, PCState previous)` Called when this state is first assigned to the given state manager.
`(package private) boolean` | `isDeleted()` Return whether this is a deleted state.
`(package private) boolean` | `isDirty()` Return whether this is a dirty state.
`(package private) boolean` | `isPersistent()` Return whether this is a persistent state.
`(package private) boolean` | `isTransactional()` Return whether this is a transactional state.
`(package private) PCState` | `nontransactional(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `StoreContext.nontransactional(java.lang.Object, org.apache.openjpa.kernel.OpCallbacks)` with the given instance.
`(package private) PCState` | `persist(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `Broker.persist(java.lang.Object, org.apache.openjpa.kernel.OpCallbacks)` with the given instance.
`(package private) PCState` | `release(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `Broker#makeTransient` with the given instance.
`(package private) PCState` | `rollback(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction rollback.
`(package private) PCState` | `rollbackRestore(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction rollback with the restoreValues flag set.
`String` | `toString()`

Methods inherited from class org.apache.openjpa.kernel.PCState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, beforeOptimisticRead, beforeRead, delete, error, evict, isNew, isPendingTransactional, isProvisional, isVersionCheckRequired, nonprovisional, readResolve, transactional`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDeletedState

    PDeletedState()

Method Detail

### initialize

    void initialize(StateManagerImpl context,
                    PCState previous)

  Description copied from class: `PCState`
  Called when this state is first assigned to the given state manager.

  Overrides:
    `initialize` in class `PCState`

### flush

    PCState flush(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necessary and return the proper lifecycle state on fush. Returns the `this` pointer by default.

  Overrides:
    `flush` in class `PCState`

### commit

    PCState commit(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on transaction commit. Returns the `this` pointer by default.

  Overrides:
    `commit` in class `PCState`

### commitRetain

    PCState commitRetain(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on transaction commit with the retainValues flag set. Returns the `this` pointer by default.

  Overrides:
    `commitRetain` in class `PCState`

### rollback

    PCState rollback(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on transaction rollback. Returns the `this` pointer by default.

  Overrides:
    `rollback` in class `PCState`

### rollbackRestore

    PCState rollbackRestore(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on transaction rollback with the restoreValues flag set. Returns the `this` pointer by default.

  Overrides:
    `rollbackRestore` in class `PCState`

### nontransactional

    PCState nontransactional(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `StoreContext.nontransactional(java.lang.Object, org.apache.openjpa.kernel.OpCallbacks)` with the given instance. Returns the `this` pointer by default.

  Overrides:
    `nontransactional` in class `PCState`

### persist

    PCState persist(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `Broker.persist(java.lang.Object, org.apache.openjpa.kernel.OpCallbacks)` with the given instance. Returns the `this` pointer by default. Note: this method is not called for embedded states, and is only called when an existing managed instance is the target of a persist call.

  Overrides:
    `persist` in class `PCState`

### release

    PCState release(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `Broker#makeTransient` with the given instance. Returns the `this` pointer by default.

  Overrides:
    `release` in class `PCState`

### beforeWrite

    PCState beforeWrite(StateManagerImpl context,
                        int field,
                        boolean mutate)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an active transaction. The mutate parameter tells if it is a direct mutation on an SCO field. Returns the `this` pointer by default.

  Overrides:
    `beforeWrite` in class `PCState`

### beforeOptimisticWrite

    PCState beforeOptimisticWrite(StateManagerImpl context,
                                  int field,
                                  boolean mutate)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an optimistic transaction. The mutate parameter tells if it is a direct mutation on an SCO field. Returns the `this` pointer by default.

  Overrides:
    `beforeOptimisticWrite` in class `PCState`

### isTransactional

    boolean isTransactional()

  Description copied from class: `PCState`
  Return whether this is a transactional state. Returns `false` by default.

  Overrides:
    `isTransactional` in class `PCState`

### isPersistent

    boolean isPersistent()

  Description copied from class: `PCState`
  Return whether this is a persistent state. Returns `false` by default.

  Overrides:
    `isPersistent` in class `PCState`

### isDeleted

    boolean isDeleted()

  Description copied from class: `PCState`
  Return whether this is a deleted state. Returns `false` by default.

  Overrides:
    `isDeleted` in class `PCState`

### isDirty

    boolean isDirty()

  Description copied from class: `PCState`
  Return whether this is a dirty state. Returns `false` by default.

  Overrides:
    `isDirty` in class `PCState`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.